Get Dial Token
curl --request POST \
--url https://api.vogent.ai/api/dials/{id}/token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/dials/{id}/token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/dials/{id}/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dialToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZXN0IjoidGVzdCJ9.9EQaLsDRKDVXLUVLR9JgDTjEULaT2-OMbHayQAzgZH8"
}Dials
Get Dial Token
Gets a token for a given dial.
POST
/
dials
/
{id}
/
token
Get Dial Token
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the dial.
Response
Successful operation
You can pass this dial token to Elto's web UI, or use this token to authorize any requests for this dial. It's safe to pass this token to a client -- it only allows users to run requests against the dial associated with this session.
Example:
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZXN0IjoidGVzdCJ9.9EQaLsDRKDVXLUVLR9JgDTjEULaT2-OMbHayQAzgZH8"
⌘I